@import '../../../../assets/styles/buttons';

app-flow-template {
  width: 100%;
  padding: var(--eui-s-xl) var(--eui-s-4xl) var(--eui-s-4xl);
  display: flex;
  flex-direction: column;
}

.eui-card-content {
  display: flex;
  flex-direction: column;
  padding: var(--eui-s-3xl) var(--eui-s-4xl) !important;
}

.err-div {
  display: flex;
  flex-direction: row-reverse;
}

.step-content {
  width: 100%;
}

.flow-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: var(--eui-s-xl) var(--eui-s-2xl) 0 var(--eui-s-2xl);
  width: calc(100vw - (100vw - 100%));

  &.hidden-header .eui-wizard {
    display: none;
  }
}

.f-step {
  max-width: 80%;

  &-title {
    color: var(--eui-c-primary-darker);
    font: var(--eui-f-l-bold);
  }

  &-description {
    font: var(--eui-f-m) !important;
    color: var(--eui-base-color-grey-110);
    margin: var(--eui-s-m) 0 0 0;
  }
}

.f-bottom-bar {
  display: flex;
  justify-content: space-between;
  background-color: var(--eui-bc-primary-100-contrast);
  padding: var(--eui-s-xl) var(--eui-s-2xl) 0 var(--eui-s-2xl);
  width: calc(100vw - (100vw - 100%));

  &-container {
    display: flex;

    .eui-button .eui-button__container .eui-icon {
      font-size: var(--eui-f-s) !important;
    }
  }
}

.eui-tooltip__container .eui-tooltip.eui-tooltip--content-center {
  font: var(--eui-u-f-s);
}

.eui-wizard {
  padding-bottom: var(--eui-s-xl) !important;
  min-width: 1300px;

  .eui-wizard-step__indicator-wrapper {
    border-bottom: 2px solid var(--eui-c-neutral-light) !important;
  }

  .eui-wizard-step__bullet-item {
    border-color: var(--eui-c-neutral-light) !important;
    background-color: var(--eui-c-primary-bg) !important;
  }

  .eui-wizard-step__current-marker {
    display: none;
  }

  .eui-wizard-step__label-wrapper-label {
    color: var(--eui-c-neutral-light) !important;
  }

  .eui-wizard-step__label-wrapper-sub-label {
    color: var(--eui-c-primary-dark) !important;
    text-decoration: underline;
    max-width: 300px;
    text-overflow: ellipsis;
    cursor: pointer;
    word-break: break-all;
    overflow: hidden;
    white-space: nowrap;
    margin: 0 auto;
  }

  .eui-wizard-step__label-wrapper-sub-label:hover {
    position: absolute;
    left: 0;
    right: 0;
    background-color: var(--eui-c-neutral) !important;
    color: var(--eui-c-white) !important;
    padding: var(--eui-s-xs);
    text-decoration: none;
    max-width: 280px;
    word-break: break-word;
    overflow: visible;
    white-space: break-spaces;
    z-index: 100;
  }

  .eui-wizard-step--active .eui-wizard-step__bullet-item {
    border-color: var(--eui-c-primary) !important;
    background-color: var(--eui-c-primary) !important;
    color: var(--eui-c-white) !important;

    .eui-wizard-step__bullet-item-icon .eui-icon-svg svg {
      fill: var(--eui-c-white) !important;
    }
  }

  .eui-wizard-step--active .eui-wizard-step__label-wrapper-label {
    color: var(--eui-c-primary) !important;
  }

  .eui-wizard-step--completed .eui-wizard-step__bullet-item {
    border-color: var(--eui-c-neutral-light) !important;
    background-color: var(--eui-c-primary-bg) !important;

    .eui-wizard-step__bullet-item-icon .eui-icon-svg svg {
      fill: var(--eui-c-neutral-light) !important;
    }
  }
}
